@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  :root {
    --color-primary: theme('colors.blue.accent');
    --color-secondary: theme('colors.blue.medium');
  }
}

@layer components {
  .alert {
    @apply
      relative
      px-4
      py-3
      mt-2
      border
      rounded
    border-red-400
    bg-red-100
    text-red-700
    ;
  }
  .notice, #error_explanation {
    @apply
    bg-orange-100
      border-l-4
    border-orange-500
    text-orange-700
      p-4
    ;
  }
}

@layer components {
  .auth-layout {
    @apply
      bg-gray-50
      min-h-screen
      flex
      items-center
      justify-center
    ;
  }
  .auth-title {
    @apply 
      font-bold
      text-2xl
    ;
  }
  .auth-input {
    @apply
      w-full
      p-2
      rounded-xl
      border
    ;
    
  }
  .auth-email {
    @apply
      auth-input
      mt-8
    ;
  }
  .auth-pw {
    @apply
      auth-input
    ;
  }

  .auth-btn {
    @apply 
      py-2
      w-full
      rounded-xl
      bg-primary
      text-white
      hover:cursor-pointer
    ;
  }

  .auth-container {
    @apply
      max-w-3xl
      p-5
      rounded-2xl
      shadow-lg
      bg-gray-100
    ;
  }
  .auth-section {
    @apply
      sm:w-1/2
      px-16
    ;

  }

  .auth-forgot {
    @apply
      mt-5
      py-4
      border-b
      text-xs
    ;
  }

  .auth-register {
    @apply
      justify-between
      items-center
      text-xs
    ;
  }
  .auth-register__btn {
    @apply
      py-2
      px-5
      bg-white
      border
      rounded-xl
    ;
  }

  .wallpaper-section {
    @apply
     w-1/2
     sm:block
     hidden
    ;
  }
}

@layer components {
  .search {
    @apply
      flex
      flex-col
      items-center
      justify-center

      w-full
      h-screen
      px-4

      bg-center
      bg-gradient-to-r
      from-cyan-500
      to-blue-500
    ;
  }

  .search-logo {
    @apply
      text-center
      w-fit
      font-semibold
      text-xl
      tracking-tight
      text-white
    ;
  }
  .search-nav {
    @apply
      flex
      mt-6
      mb-4
      md:mt-0
      relative
      w-full
      mx-4
    ;
  }

  .sign-out {
    @apply
    absolute
    right-0
    inline-block
    text-sm
    px-4
    py-2
    leading-none
    border
    rounded
    text-white
    border-white
    hover:border-transparent
    hover:text-blue-500
    hover:bg-white
    lg:mt-0
    ;
  }

  .searched-city {
    @apply
    py-2
    px-4
    mr-2
    shadow-md
    active:shadow-none
    border-blue-400
    
    no-underline
    rounded-full
    focus:outline-none

    bg-secondary
    hover:bg-green-400

    text-sm
    text-white
    font-sans
    font-semibold
    hover:text-white
    
    ;
  }

  .search-form {
    @apply
      mx-auto
      h-16
      w-full
      max-w-sm
      mb-8
      rounded-full

      bg-black/30
      backdrop-blur-xl
      ;
  }
  .search-container {
    @apply
      relative
      flex
      items-center
      justify-between

      w-full
      h-full
      p-2
    ;
  }


  #search-field {
    @apply 
      flex
      h-full
      
      pl-6
      pr-10
      rounded-full

      border-0
      focus:border-0
      ring-0
      ring-offset-0

      
      text-sm
      font-medium

      outline-none
      focus:outline-none
    ;
  }
  
  .search-button {
    @apply
      flex
      h-12
      z-10
      w-16
      rounded-full
      justify-center
      items-center
      transition
      bg-primary
    hover:bg-blue-hover
    ;
  }


  .search-result {
    @apply
      w-full
      max-w-sm
      py-12
      px-6
      rounded-2xl

      bg-black/20
      backdrop-blur-xl
    text-white
    ;
  }

  .result__temperature {
    @apply
      flex
      justify-center
      items-center
    ;
  }

  .result__full-name {
    @apply
      text-2xl
      font-semibold
    ;
  }

  .result__location {
    @apply 
      mt-4
      p-2
      w-32
      hover:underline
      hover:underline-offset-4
    ;
  }
  
}


.button-cover {
  width: 80px;
  height: 30px;
  background-color: #ffffff;
  box-shadow: 0 10px 20px -8px #c5d6d6;
  border-radius: 4px;
}



.checkbox {
  border: 5px solid black;
  position: relative;
  width: 100%;
  height: 100%;
  padding: 0;
  margin-bottom: 20px;

  
  opacity: 0;
  cursor: pointer;
  z-index: 3;
}





.temp_switch {
  border-radius: 2px;
  position: relative;
  width: 80px;
  height: 30px;
  margin: 0px auto 0 auto;
}

.knobs {
  /* border: 1px solid red; */
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 2;
}



.temp_switch .knobs:before,
.temp_switch .knobs:after,
.temp_switch .knobs span {

  position: absolute;
  top: 4px;
  width: 30px;
  height: 20px;
  padding: 6px 4px;

  font-size: 10px;
  font-weight: bold;
  text-align: center;
  line-height: 1;
  border-radius: 2px;

  transition: 0.3s ease all;
}



/*Moving box*/
.temp_switch .knobs:before {
  content: "";
  left: 4px;
  background-color: #0fa31b;
}
/*Fahrenheit*/
.temp_switch .knobs:after {
  content: "°F";
  right: 4px;
  color: #4e4e4e;
}
/*Celcius*/
.temp_switch .knobs span {
  display: inline-block;
  left: 4px;
  color: #fff;
  z-index: 1;
}

/*Celcius*/
.temp_switch .checkbox:checked + .knobs span {
  color: #4e4e4e;
}
/*Moving box*/
.temp_switch .checkbox:checked + .knobs:before {
  left: 42px;
  background-color: #03a9f4;
}
/*Fahrenheit*/
.temp_switch .checkbox:checked + .knobs:after {
  color: #fff;
}

.layer {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;


  width: 100%;
  background-color: #daf7d4;
  transition: 0.3s ease all;
  z-index: 1;
}

.temp_switch .checkbox:checked ~ .layer {
  background-color: #d5effa;
}



.temp_switch .checkbox:checked ~ #fahrenheit {
  display: flex;
}
.temp_switch .checkbox:checked ~ #celsius {
  display: none;
}



